Index: col_picker_helper.php
===================================================================
--- col_picker_helper.php	(revision 12973)
+++ col_picker_helper.php	(working copy)
@@ -28,8 +28,7 @@
 
 	function LoadColumns($prefix)
 	{
-		$view_name = $this->Application->RecallVar($prefix.'_current_view');
-		$val = $this->Application->RecallPersistentVar($prefix.'_columns_.'.$view_name, ALLOW_DEFAULT_SETTINGS);
+		$val = $this->Application->RecallPersistentVar($this->_getVarName($prefix, 'get'), ALLOW_DEFAULT_SETTINGS);
 
 		if (!$val) {
 			$cols = $this->RebuildColumns($prefix);
@@ -123,10 +122,30 @@
 
 	function StoreCols($prefix, $cols)
 	{
-		$view_name = $this->Application->RecallVar($prefix.'_current_view');
-		$this->Application->StorePersistentVar($prefix.'_columns_.'.$view_name, serialize($cols));
+		$this->Application->StorePersistentVar($this->_getVarName($prefix, 'set'), serialize($cols));
 	}
 
+	/**
+	* Gets variable name in persistent session to store column positions in
+	*
+	* @param string $prefix
+	* @param string $mode
+	* @return string
+	*/
+	function _getVarName($prefix, $mode = 'get')
+	{
+		$view_name = $this->Application->RecallVar($prefix . '_current_view');
+
+		$ret = $prefix . '[' . $this->GridName . ']columns_.' . $view_name;
+		if ($mode == 'get') {
+			if ($this->Application->RecallPersistentVar($ret) === false) {
+				$ret = $prefix . '_columns_.' . $view_name;
+			}
+		}
+
+		return $ret;
+	}
+
 	function GetColumns($prefix)
 	{
 		$splited = $this->Application->processPrefix($prefix);
